# Lösung: Klasse deklarieren


```ruby
class Ticket

  attr_reader :spiel

  @@seriennummer = 0

  def initialize(spiel)
    @@seriennummer += 1
    @spiel = spiel
    @seriennummer = @@seriennummer
  end

  def to_s
    "#{@spiel} [#{@seriennummer}]"
  end

  def self.verkauft
    @@seriennummer
  end
end

t1 = Ticket.new('Dortmund-Schalke')
t2 = Ticket.new('Hoffenheim-Stuttgart')

puts t1
puts t2
puts Ticket::verkauft
```
