# Lösung: Callback mit Proc


```ruby
def rechner(a, b, lam = nil, &block)
  lam ||= block
  ergebnis = lam.call(a, b)
  ergebnis * 2
end

lam = ->(a, b) { a + b }
puts rechner(5, 4, lam) # -> 18
```
