# Lösung: Metaprogrammierung: Die kleine Petze


```ruby
class Snitch
  def method_missing(name, *args, **keywords, &block)
    puts "Aufruf von Methode '#{name}'"
    puts "   mit den Argumenten #{args}"
    puts "   mit den Argumenten #{keywords}"
    puts "   und dem Block #{block}"
  end

  def to_s
    puts "Aufruf von Methode 'to_s'"
  end

  # Weiter Methoden von Object überschreiben. Hier weggelassen.
end

snitch = Snitch.new
puts snitch
```
