# Ruby-Programmierung

Hier finden Sie Übungsaufgaben für den Kurs Ruby-Programmierung.

Die **Abgabedaten** haben keine Bedeutung, da der Kurs keine Prüfung beinhaltet.

## Themenüberblick

| #   | Thema                                                                 | Fällig am 📆   | Musterlösung  |
|-----|-----------------------------------------------------------------------|----------------|----------------|
| 1.  | [Bedingte Zuweisung](Assignment_001/readme.md)                        | **----**       |  [✅](Assignment_001/solution/) |
| 2.  | [Case](Assignment_002/readme.md)                                      | **----**       |  [✅](Assignment_002/solution/) |
| 3.  | [String-Formatierung](Assignment_003/readme.md)                       | **----**       |  [✅](Assignment_003/solution/) |
| 4.  | [Parallele Zuweisung](Assignment_004/readme.md)                       | **----**       |  [✅](Assignment_004/solution/) |
| 5.  | [Ranges](Assignment_005/readme.md)                                    | **----**       |  [✅](Assignment_005/solution/) |
| 6.  | [Splat](Assignment_006/readme.md)                                     | **----**       |  [✅](Assignment_006/solution/) |
| 7.  | [Symbole](Assignment_007/readme.md)                                   | **----**       |  [✅](Assignment_007/solution/) |
| 8.  | [Zugriffsmethoden](Assignment_008/readme.md)                          | **----**       |  [✅](Assignment_008/solution/) |
| 9.  | [Klasse deklarieren](Assignment_009/readme.md)                        | **----**       |  [✅](Assignment_009/solution/) |
| 10. | [Default Parameter](Assignment_010/readme.md)                         | **----**       |  [✅](Assignment_010/solution/) |
| 11. | [Vererbung](Assignment_011/readme.md)                                 | **----**       |  [✅](Assignment_011/solution/) |
| 12. | [Keyword-Parameter](Assignment_012/readme.md)                         | **----**       |  [✅](Assignment_012/solution/) |
| 13. | [Mixin benutzen](Assignment_013/readme.md)                            | **----**       |  [✅](Assignment_013/solution/) |
| 14. | [Modul schreiben](Assignment_014/readme.md)                           | **----**       |  [✅](Assignment_014/solution/) |
| 15. | [Monkey Patch](Assignment_015/readme.md)                              | **----**       |  [✅](Assignment_015/solution/) |
| 16. | [Geschachtelte Methoden](Assignment_016/readme.md)                    | **----**       |  [✅](Assignment_016/solution/) |
| 17. | [Vararg-Methoden](Assignment_017/readme.md)                           | **----**       |  [✅](Assignment_017/solution/) |
| 18. | [Arrays](Assignment_018/readme.md)                                    | **----**       |  [✅](Assignment_018/solution/) |
| 19. | [Callback mit Block](Assignment_019/readme.md)                        | **----**       |  [✅](Assignment_019/solution/) |
| 20. | [Callback mit Proc](Assignment_020/readme.md)                         | **----**       |  [✅](Assignment_020/solution/) |
| 21. | [Closure](Assignment_021/readme.md)                                   | **----**       |  [✅](Assignment_021/solution/) |
| 22. | [Hashes und Blöcke](Assignment_022/readme.md)                         | **----**       |  [✅](Assignment_022/solution/) |
| 23. | [Hashes](Assignment_023/readme.md)                                    | **----**       |  [✅](Assignment_023/solution/) |
| 24. | [Map](Assignment_024/readme.md)                                       | **----**       |  [✅](Assignment_024/solution/) |
| 25. | [Map und Reduce](Assignment_025/readme.md)                            | **----**       |  [✅](Assignment_025/solution/) |
| 26. | [Ausnahmen](Assignment_026/readme.md)                                 | **----**       |  [✅](Assignment_026/solution/) |
| 27. | [Klasse Dir und IO](Assignment_027/readme.md)                         | **----**       |  [✅](Assignment_027/solution/) |
| 28. | [Iteratoren auf Zahlen](Assignment_028/readme.md)                     | **----**       |  [✅](Assignment_028/solution/) |
| 29. | [Quine](Assignment_029/readme.md)                                     | **----**       |  [✅](Assignment_029/solution/) |
| 30. | [Reguläre Ausdrücke: Match](Assignment_030/readme.md)                 | **----**       |  [✅](Assignment_030/solution/) |
| 31. | [Reguläre Ausdrücke: Matching](Assignment_031/readme.md)              | **----**       |  [✅](Assignment_031/solution/) |
| 32. | [Klassen per Reflection analysieren](Assignment_032/readme.md)        | **----**       |  [✅](Assignment_032/solution/) |
| 33. | [Methoden einer Klasse dynamisch erzeugen](Assignment_033/readme.md)  | **----**       |  [✅](Assignment_033/solution/) |
| 34. | [Klasse dynamisch erzeugen](Assignment_034/readme.md)                 | **----**       |  [✅](Assignment_034/solution/) |
| 35. | [Methoden dynamisch aufrufen](Assignment_035/readme.md)               | **----**       |  [✅](Assignment_035/solution/) |
| 36. | [Eigenclass einer Klasse](Assignment_036/readme.md)                   | **----**       |  [✅](Assignment_036/solution/) |
| 37. | [Eigenclass eines Objektes](Assignment_037/readme.md)                 | **----**       |  [✅](Assignment_037/solution/) |
| 38. | [Macro](Assignment_038/readme.md)                                     | **----**       |  [✅](Assignment_038/solution/) |
| 39. | [Metaprogrammierung: Die kleine Petze](Assignment_039/readme.md)      | **----**       |  [✅](Assignment_039/solution/) |
| 40. | [Singleton Methoden](Assignment_040/readme.md)                        | **----**       |  [✅](Assignment_040/solution/) |
| 41. | [Struct](Assignment_041/readme.md)                                    | **----**       |  [✅](Assignment_041/solution/) |
