# Lösung: Ausnahmen


```ruby
def division(a, b)
  raise ArgumentError  unless (a.is_a? Numeric) && (b.is_a? Numeric)
  raise ZeroDivisionError  if b == 0
  a / b
end

begin
  puts division(1.0, 4.0)
  puts division(1.0, 0.0)
  puts division('a', 7)
rescue ArgumentError => e
  puts e
rescue ZeroDivisionError => e
  puts e
end
```